# Eclipse stuff
.classpath
.project
.settings
eclipse

# netbeans
nbproject
nbactions.xml

# we use maven!
build.xml

# maven
target
dependency-reduced-pom.xml

# vim
.*.sw[a-p]

# various other potential build files
buildSrc/.gradle
buildSrc/.build
build
bin
dist
manifest.mf

# Mac filesystem dust
.DS_Store

# intellij
*.iml
*.ipr
*.iws
.idea
run
out

# other files
*.log*

# delombok
*/src/main/lombok

#Gradle
.gradle